Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 686732 - sci-libs/gdal-3.0.3 version bump
Summary: sci-libs/gdal-3.0.3 version bump
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Sci-geo Project
URL:
Whiteboard:
Keywords: EBUILD, PullRequest
Depends on:
Blocks: 714826
  Show dependency tree
 
Reported: 2019-05-25 10:41 UTC by Dennis Schridde
Modified: 2020-03-26 10:33 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
gdal-3.0.0.ebuild (gdal-3.0.0.ebuild,7.95 KB, text/plain)
2019-05-28 18:00 UTC, Thomas Bettler
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dennis Schridde 2019-05-25 10:41:59 UTC
Version 3.0.0 of GDAL was released two weeks ago: https://github.com/OSGeo/gdal/releases

    Implement RFC 73: Integration of PROJ6 for WKT2, late binding capabilities, time-support and unified CRS database. PROJ >= 6 is now a build requirement
    New GDAL drivers:
        DAAS: read driver for Airbus DS Intelligence Data As A Service
        TileDB: read/write driver for https://www.tiledb.io (#1402)
    New OGR drivers:
        MongoDBv3: read/write driver using libmongocxx v3.4.0 client (for MongoDB >= 4.0)
    Improved drivers:
        FITS: read/write support for scale, offset and CRS
        netCDF: read support for groups
        PDF: add a COMPOSITION_FILE creation option to generate a complex document
        PDS4: subdataset creation support, read/write table/vector support
    Support for minimal builds on Unix (#1250)
    Add a docker/ directory with Dockerfile for different configurations
    Continued code linting
Comment 1 Thomas Bettler 2019-05-28 18:00:40 UTC
Created attachment 577954 [details]
gdal-3.0.0.ebuild
Comment 2 Thomas Bettler 2019-05-28 18:02:29 UTC
works for me with 
- googleearth-7.1.8.3036
- grass-7.6.1
- mapserver-7.2.2
- qgis-3.6.3
Comment 3 Andreas Sturmlechner gentoo-dev 2019-05-29 20:51:55 UTC
Thanks for your work, as always, a unified diff over the most recent in-tree version would be better.
Comment 4 Juergen Rose 2019-06-06 13:53:08 UTC
(In reply to Thomas Bettler from comment #2)
> works for me with 
> - googleearth-7.1.8.3036
> - grass-7.6.1
> - mapserver-7.2.2
> - qgis-3.6.3

Thanks for the gdal-3.0.0.ebuild. After installing gdal-3.0.0 I could reemerge 
vtk-8.1.0-r3
mysql-workbench-8.0.16
qmapshack-1.13.0
opencv-3.4.1-r5
openscenegraph-3.5.5 . 
But I failed to emerge  merkaartor-0.18.3-r4 and 
simgear-2018.3.2.

merkaartor-0.18.3-r4 fails to emerge with:
...
/usr/include/gdal/ogrsf_frmts.h:411:17: note: declared here
  411 |     GDALDriver *GetDriverByName( const char * ) OGR_DEPRECATED("Use GDALDriverManager class instead");
      |                 ^~~~~~~~~~~~~~~
ImportExport/ImportExportGdal.cpp:114:69: error: invalid conversion from ‘GDALDriver*’ to ‘OGRSFDriver*’ [-fpermissive]
  114 |     poDriver = OGRSFDriverRegistrar::GetRegistrar()->GetDriverByName(pszDriverName);
      |                ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~^~~~~~~~~~~~~~~
      |                                                                     |
      |                                                                     GDALDriver*




And simgear-2018.3.2 fails with:
...
/var/tmp/portage/dev-games/simgear-2018.3.2/work/simgear-2018.3.2/simgear/scene/dem/SGDemTile_gdal.cxx: In member function ‘void* SGDemTile::createTile(char**, const char*, int, int, double, double, double, double, char**)’:
/var/tmp/portage/dev-games/simgear-2018.3.2/work/simgear-2018.3.2/simgear/scene/dem/SGDemTile_gdal.cxx:177:36: error: ‘SRS_WKT_WGS84’ was not declared in this scope; did you mean ‘SRS_DN_WGS84’?
  177 |                 pszThisSourceSRS = SRS_WKT_WGS84;
      |                                    ^~~~~~~~~~~~~
      |                                    SRS_DN_WGS84
make[2]: *** [simgear/CMakeFiles/SimGearScene.dir/build.make:1714: simgear/CMakeFiles/SimGearScene.dir/scene/dem/SGDemTile_gdal.cxx.o] Error 1




BTW., where can I find a qgis-3.6.3 ebuild?
Comment 5 Thomas Bettler 2019-06-06 17:28:49 UTC
(In reply to Juergen Rose from comment #4)
> But I failed to emerge  merkaartor-0.18.3-r4 and simgear-2018.3.2.
> 
You may try if versions 9999 work, else file bug reports for them (ideally propose fixes).
> 
> 
> BTW., where can I find a qgis-3.6.3 ebuild?
basically the same ebuild as #672952
see https://data.gpo.zugaina.org/gentoo/sci-geosciences/qgis/qgis-9999.ebuild
Comment 6 Juergen Rose 2019-06-08 01:10:16 UTC
(In reply to Thomas Bettler from comment #5)
> (In reply to Juergen Rose from comment #4)
> > But I failed to emerge  merkaartor-0.18.3-r4 and simgear-2018.3.2.
> > 
> You may try if versions 9999 work, else file bug reports for them (ideally
> propose fixes).
> > 
> > 
> > BTW., where can I find a qgis-3.6.3 ebuild?
> basically the same ebuild as #672952
> see https://data.gpo.zugaina.org/gentoo/sci-geosciences/qgis/qgis-9999.ebuild

Thanks, I could emerge qgis-3.6.3 as well.
Comment 7 kunda 2019-06-21 14:24:27 UTC
Thanks for working on this!
Comment 8 José de Paula Rodrigues 2019-08-30 00:18:44 UTC
Bumping to 3.0.1 (released 2019-06-28) also works with this ebuild without further changes. Beware, however: if you use "debug" flag, the build will fail as reported in https://bugs.gentoo.org/693098 .
Comment 9 Dennis Schridde 2019-12-18 21:07:15 UTC
Excerpt of NEWS relevant for packaging:

= GDAL/OGR 3.0.2 Release Notes =

== Misc ==

 * Fix build against Poppler 0.82

== GDAL drivers ==

GTiff driver:

 * ensure GDAL PROJ context is used for all libgeotiff functions (requires internal libgeotiff / libgeotiff 1.6)

== Python bindings ==

 * add compatibility with SWIG 4.0 (#1702)


= GDAL/OGR 3.0.1 Release Notes =

== Build ==

 * configure: fix detection of libpq in a non-standard place (3.0 regression) (#1542)

== GDAL drivers ==

VRT driver:

 * Python pixel functions: also probe libpython3.Xm.so.1.0 (#1660)


For the changes in version 3.0.0 please take a look at https://github.com/OSGeo/gdal/blob/v3.0.2/gdal/NEWS
Comment 10 Chris Mayo 2019-12-20 20:08:08 UTC
I've had a go at 3.0.2 here:
https://github.com/gentoo/gentoo/pull/14061

I based it off gdal-2.4.1-r2.ebuild and have tried to get bash completion and Java bindings working. I agree with the renamed config options from here but some  differences for dependencies and a couple of other things.
Comment 11 José de Paula Rodrigues 2020-01-28 21:45:11 UTC
upstream sci-geosciences/qgis-9999 (as of 2020-01-28) now requires >= gdal-3.0.3. Can we please bump this to 3.0.3?
Comment 12 José de Paula Rodrigues 2020-01-28 21:46:57 UTC
I'd like to report that my localrepo gdal-3.0.3 works correctly with python3_8.
Comment 13 Larry the Git Cow gentoo-dev 2020-01-29 21:32:49 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1ae8b7c7c3790f0a866e57eb44b06a8c014c3c51

commit 1ae8b7c7c3790f0a866e57eb44b06a8c014c3c51
Author:     Chris Mayo <aklhfex@gmail.com>
AuthorDate: 2020-01-10 19:38:40 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2020-01-29 21:32:36 +0000

    sci-libs/gdal: version bump 3.0.2
    
    Bug: https://bugs.gentoo.org/686732
    Package-Manager: Portage-2.3.79, Repoman-2.3.16
    Signed-off-by: Chris Mayo <aklhfex@gmail.com>
    Closes: https://github.com/gentoo/gentoo/pull/14061
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 sci-libs/gdal/Manifest                        |   1 +
 sci-libs/gdal/files/gdal-3.0.2-complete.patch |  84 +++++++
 sci-libs/gdal/files/gdal-3.0.2-datadir.patch  |  69 ++++++
 sci-libs/gdal/gdal-3.0.2.ebuild               | 305 ++++++++++++++++++++++++++
 4 files changed, 459 insertions(+)
Comment 14 Larry the Git Cow gentoo-dev 2020-01-30 22:50:07 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=aa62522e1a37007d98e7c6c5b8fcee2c871f5a99

commit aa62522e1a37007d98e7c6c5b8fcee2c871f5a99
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2020-01-30 22:38:31 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2020-01-30 22:46:50 +0000

    sci-libs/gdal: 3.0.4 version bump
    
    Fixes build against app-text/poppler-0.85.0
    
    Closes: https://bugs.gentoo.org/686732
    Package-Manager: Portage-2.3.86, Repoman-2.3.20
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 sci-libs/gdal/Manifest          |   1 +
 sci-libs/gdal/gdal-3.0.4.ebuild | 303 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 304 insertions(+)